List audit logs for your organization. You can optionally filter by time range.
cURL
curl --request GET \ --url https://public.api.serval.com/v2/audit-logs \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "<string>", "teamId": "<string>", "timestamp": "2023-11-07T05:31:56Z", "actor": { "apiKey": { "displayName": "<string>" }, "id": "<string>" }, "context": { "ipAddress": "<string>", "userAgent": "<string>" }, "eventType": { "accessDeprovisioned": { "accessRequest": { "id": "<string>" }, "entitlement": { "id": "<string>", "displayName": "<string>" }, "resource": { "id": "<string>", "displayName": "<string>" }, "user": { "id": "<string>", "displayName": "<string>", "email": "<string>", "name": "<string>" }, "reason": "<string>", "ticket": { "id": "<string>" } } } } ], "nextPageToken": "<string>" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Unix timestamp in seconds.
Success
Show child attributes
Was this page helpful?